## org.apache.commons.math3.linear
Class NonSquareMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.DimensionMismatchException
                                  org.apache.commons.math3.linear.NonSquareMatrixException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NonSquareMatrixException

extends DimensionMismatchException

Exception to be thrown when a square matrix is expected.

Since:
  3.0
Version:
  $Id: NonSquareMatrixException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NonSquareMatrixException(int wrong, int expected)` Construct an exception from the mismatched dimensions.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.DimensionMismatchException
`getDimension`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NonSquareMatrixException

    public NonSquareMatrixException(int wrong,
                                    int expected)

  Construct an exception from the mismatched dimensions.

  Parameters:
    `wrong` - Row dimension.
    `expected` - Column dimension.

Copyright (c) 2003-2013 Apache Software Foundation